Loading...
Searching...
No Matches
RDKit::MarvinArrow Class Reference

`#include <MarvinDefs.h>`

## Public Member Functions

std::string | toString () const
ptree | toPtree () const

## Public Attributes

std::string | type
double | x1
double | y1
double | x2
double | y2

## Detailed Description

Definition at line 61 of file MarvinDefs.h.

## Member Function Documentation

## toPtree()

ptree RDKit::MarvinArrow::toPtree | ( |  | ) | const

## toString()

std::string RDKit::MarvinArrow::toString | ( |  | ) | const

## Member Data Documentation

## type

std::string RDKit::MarvinArrow::type

Definition at line 63 of file MarvinDefs.h.

## x1

double RDKit::MarvinArrow::x1

Definition at line 64 of file MarvinDefs.h.

## x2

double RDKit::MarvinArrow::x2

Definition at line 66 of file MarvinDefs.h.

## y1

double RDKit::MarvinArrow::y1

Definition at line 65 of file MarvinDefs.h.

## y2

double RDKit::MarvinArrow::y2

Definition at line 67 of file MarvinDefs.h.

The documentation for this class was generated from the following file:

- MarvinDefs.h